Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.vole.menu
Class MenuBar

    java.lang.Object
      jcontrol.ui.vole.Component
          jcontrol.ui.vole.menu.Menu
              jcontrol.ui.vole.menu.MenuBar

All Implemented Interfaces:
  MenuInterface

    public class MenuBar

extends Menu

The class `MenuBar` implements a simple menu bar.

(c) Copyright 2003-2007 DOMOLOGIC GmbH

Version:
  1.0
Author:
  Marcus Timmermann

Field Summary
`static int` | `ALIGN_BOTTOM`
`static int` | `ALIGN_TOP`

Fields inherited from class jcontrol.ui.vole.menu.Menu
`m_inactive, m_items, m_lastSelectedIndex, m_listener, m_repaint, m_selectedIndex`

Fields inherited from class jcontrol.ui.vole.Component
`eventQueue, focusOwner, font, g, height, listener, parent, visible, width, x, y`

Constructor Summary
`MenuBar(int x, int y, int width, int height, int align)` Constructor for MenuBar.

Method Summary
`boolean` | `onKeyEvent(KeyEvent e)` If a KeyEvent accurs, this method is called.
`void` | `paint()` Paint has to be implemented by the deviating class.

Methods inherited from class jcontrol.ui.vole.menu.Menu
`addMenuItem, addMenuItem, enableMenuItem, getActiveItemCount, getSelectedIndex, hasNextOrPrev, isMenuItemEnabled, remove, removeMenuItem, select, select, selectNextOrPrev, setActionListener, setFont, setParent`

Methods inherited from class jcontrol.ui.vole.Component
`getBounds, getParent, isVisible, onActionEvent, removeFocus, requestFocus, setBounds, setGraphics, setVisible, transferFocus, validate`

Methods inherited from class java.lang.Object
`clone, equals, notifyAll, wait`

Methods inherited from interface jcontrol.ui.vole.menu.MenuInterface
`setGraphics`

Field Detail

### ALIGN_BOTTOM

    public static final int ALIGN_BOTTOM

See Also:
  Constant Field Values

### ALIGN_TOP

    public static final int ALIGN_TOP

See Also:
  Constant Field Values

Constructor Detail

### MenuBar

    public MenuBar(int x,
                   int y,
                   int width,
                   int height,
                   int align)

  Constructor for MenuBar.

  Parameters:
    `x` - The x coordinate
    `y` - The y coordinate
    `width` - The width
    `height` - The height
    `align` - ALIGN_TOP or ALIGN_BOTTOM

Method Detail

### onKeyEvent

    public boolean onKeyEvent(KeyEvent e)

  If a KeyEvent accurs, this method is called.

  Specified by:
    `onKeyEvent` in interface `MenuInterface`
  Overrides:
    `onKeyEvent` in class `Menu`
  Parameters:
    `e` - the KeyEvent.
  Returns:
    false if the KeyEvent was consumed, true otherwise.

### paint

    public void paint()

  Description copied from class: `Menu`
  Paint has to be implemented by the deviating class.

  Specified by:
    `paint` in interface `MenuInterface`
  Specified by:
    `paint` in class `Menu`
  See Also:
    `Menu.paint()`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD